package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.DuplicatedDataNameException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.InvalidArgumentException;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.Trace;
import com.ynet.life.exception.TranFailException;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;
import java.util.StringTokenizer;
import org.apache.commons.lang.StringUtils;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/GuaMonthReportDealAction.class */
public class GuaMonthReportDealAction extends LifeAction {
    private static final String FIELD_SEPERATOR = "||";
    private KeyedCollection allFields;
    private List dealFields;
    private String iCollName;

    public String execute(Context context) throws GENEException {
        for (int j = 0; j < this.dealFields.size(); j++) {
            try {
                this.allFields.setDataValue((String) this.dealFields.get(j), new BigDecimal(0));
            } catch (GENEException e) {
                Trace.logError("LifeAction", e.getMessage(), e);
                throw new TranFailException("EBLN0000", "担保月报数据处理异常");
            }
        }
        IndexedCollection icoll = context.getDataElement(this.iCollName);
        if (icoll.size() == 0) {
            return "1";
        }
        for (int i = 0; i < icoll.size(); i++) {
            KeyedCollection kcoll = icoll.getElementAt(i);
            try {
                icoll.getElementAt(i).setDataValue("rowNum", Integer.valueOf(i + 1));
            } catch (GENEException unused) {
                icoll.getElementAt(i).addDataField("rowNum", Integer.valueOf(i + 1));
            }
            for (int k = 0; k < this.dealFields.size(); k++) {
                String field = (String) this.dealFields.get(k);
                BigDecimal fieldVB1 = (BigDecimal) this.allFields.getDataValue(field);
                String str = (String) kcoll.getDataValue(field);
                String fieldV2 = str;
                if (StringUtils.isBlank(str)) {
                    fieldV2 = "0";
                    kcoll.setDataValue(field, fieldV2);
                }
                BigDecimal fieldVB2 = new BigDecimal(fieldV2);
                this.allFields.setDataValue(field, fieldVB1.add(fieldVB2));
            }
        }
        this.allFields.setDataValue("rowNum", "合计");
        icoll.add(this.allFields);
        return "0";
    }

    public void setICollName(String iCollName) {
        this.iCollName = iCollName;
    }

    public void setAllFields(String allFields) {
        KeyedCollection allKColl = new KeyedCollection();
        StringTokenizer toke = new StringTokenizer(allFields, FIELD_SEPERATOR);
        while (toke.hasMoreElements()) {
            KeyedCollection trim = ((String) toke.nextElement()).trim();
            try {
                trim = allKColl;
                trim.addDataField(trim, "");
            } catch (DuplicatedDataNameException e) {
                trim.printStackTrace();
            } catch (InvalidArgumentException e2) {
                trim.printStackTrace();
            }
        }
        this.allFields = allKColl;
    }

    public void setDealFields(String dealFields) {
        List result = new ArrayList();
        StringTokenizer toke = new StringTokenizer(dealFields, FIELD_SEPERATOR);
        while (toke.hasMoreElements()) {
            String input = ((String) toke.nextElement()).trim();
            result.add(input);
        }
        this.dealFields = result;
    }
}
